name: geosector_app
description: 'GEOSECTOR - Gestion de distribution des calendriers par secteurs géographiques pour les amicales de pompiers'
publish_to: 'none'
version: 0.2.2

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.6

  # Navigation
  go_router: ^14.8.1

  # État et gestion des données
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  path_provider: ^2.1.1
  provider: ^6.1.2

  # API & Réseau
  dio: ^5.3.3
  connectivity_plus: ^6.1.3
  retry: ^3.1.2

  # UI et animations
  google_fonts: ^6.1.0
  flutter_svg: ^2.0.9

  # Utilitaires
  intl: ^0.20.2
  uuid: ^4.2.1
  fl_chart: ^0.70.2
  syncfusion_flutter_charts: ^29.1.35

  # Cartes et géolocalisation
  url_launcher: ^6.3.1
  flutter_map: ^8.1.1
  latlong2: ^0.9.1
  geolocator: ^13.0.4
  universal_html: ^2.2.4 # Pour accéder à la localisation du navigateur (detection env)

  # Chat et notifications
  mqtt5_client: ^4.11.0
  flutter_local_notifications: ^19.0.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.1
  hive_generator: ^2.0.1
  build_runner: ^2.4.6
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: true
  ios: true
  image_path: 'assets/images/icons/icon-1024.png'
  min_sdk_android: 21
  adaptive_icon_background: '#FFFFFF'
  adaptive_icon_foreground: 'assets/images/icons/icon-1024.png'
  remove_alpha_ios: true
  web:
    generate: true
    image_path: 'assets/images/icons/icon-1024.png'
    background_color: '#FFFFFF'
    theme_color: '#4B77BE'
  windows:
    generate: true
    image_path: 'assets/images/icons/icon-1024.png'
    icon_size: 48

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/icons/
    - assets/animations/

  fonts:
    - family: Figtree
      fonts:
        - asset: assets/fonts/Figtree-VariableFont_wght.ttf
